@use "../sable";

.flex-none {
  @include sable.flex-flex(none);
}
.flex-1 {
  @include sable.flex-flex(1 1 0%);
}
.flex-auto {
  @include sable.flex-flex(1 1 auto);
}
.flex-initial {
  @include sable.flex-flex(0 1 auto);
}

.flex-grow-0 {
  @include sable.flex-flex-grow(0);
}
.flex-grow {
  @include sable.flex-flex-grow(1);
}

.flex-shrink-0 {
  @include sable.flex-flex-shrink(0);
}
.flex-shrink {
  @include sable.flex-flex-shrink(1);
}

.flex-basis-auto {
  @include sable.flex-flex-basis(auto);
}
.flex-basis-0 {
  @include sable.flex-flex-basis(0%);
}

.flex-row {
  @include sable.flex-flex-direction(row);
}
.flex-row-reverse {
  @include sable.flex-flex-direction(row-reverse);
}
.flex-col {
  @include sable.flex-flex-direction(column);
}
.flex-col-reverse {
  @include sable.flex-flex-direction(column-reverse);
}

.flex-wrap {
  @include sable.flex-flex-wrap(wrap);
}
.flex-wrap-reverse {
  @include sable.flex-flex-wrap(wrap-reverse);
}
.flex-nowrap {
  @include sable.flex-flex-wrap(nowrap);
}

.content-center {
  @include sable.flex-align-content(center);
}
.content-start {
  @include sable.flex-align-content(flex-start);
}
.content-end {
  @include sable.flex-align-content(flex-end);
}
.content-between {
  @include sable.flex-align-content(space-between);
}
.content-around {
  @include sable.flex-align-content(space-around);
}
.content-evenly {
  @include sable.flex-align-content(space-evenly);
}
.content-stretch {
  @include sable.flex-align-content(stretch);
}

.items-center {
  @include sable.flex-align-items(center);
}
.items-start {
  @include sable.flex-align-items(flex-start);
}
.items-end {
  @include sable.flex-align-items(flex-end);
}
.items-stretch {
  @include sable.flex-align-items(stretch);
}

.self-auto {
  @include sable.flex-align-self(auto);
}
.self-start {
  @include sable.flex-align-self(flex-start);
}
.self-end {
  @include sable.flex-align-self(flex-end);
}
.self-center {
  @include sable.flex-align-self(center);
}
.self-stretch {
  @include sable.flex-align-self(stretch);
}

.justify-start {
  @include sable.flex-justify-content(flex-start);
}
.justify-center {
  @include sable.flex-justify-content(center);
}
.justify-end {
  @include sable.flex-justify-content(flex-end);
}
.justify-between {
  @include sable.flex-justify-content(space-between);
}
.justify-around {
  @include sable.flex-justify-content(space-around);
}
.justify-evenly {
  @include sable.flex-justify-content(space-evenly);
}
.justify-stretch {
  @include sable.flex-justify-content(stretch);
}

.justify-items-start {
  @include sable.flex-justify-items(start);
}
.justify-items-end {
  @include sable.flex-justify-items(end);
}
.justify-items-center {
  @include sable.flex-justify-items(center);
}
.justify-items-stretch {
  @include sable.flex-justify-items(stretch);
}

.justify-self-auto {
  @include sable.flex-justify-self(auto);
}
.justify-self-start {
  @include sable.flex-justify-self(start);
}
.justify-self-end {
  @include sable.flex-justify-self(end);
}
.justify-self-center {
  @include sable.flex-justify-self(center);
}
.justify-self-stretch {
  @include sable.flex-justify-self(stretch);
}

.place-content-center {
  @include sable.flex-place-content(center);
}
.place-content-start {
  @include sable.flex-place-content(start);
}
.place-content-end {
  @include sable.flex-place-content(end);
}
.place-content-between {
  @include sable.flex-place-content(space-between);
}
.place-content-around {
  @include sable.flex-place-content(space-around);
}
.place-content-evenly {
  @include sable.flex-place-content(space-evenly);
}
.place-content-stretch {
  @include sable.flex-place-content(stretch);
}

.place-items-start {
  @include sable.flex-place-items(start);
}
.place-items-end {
  @include sable.flex-place-items(end);
}
.place-items-center {
  @include sable.flex-place-items(center);
}
.place-items-stretch {
  @include sable.flex-place-items(stretch);
}

.place-self-auto {
  @include sable.flex-place-self(auto);
}
.place-self-start {
  @include sable.flex-place-self(start);
}
.place-self-end {
  @include sable.flex-place-self(end);
}
.place-self-center {
  @include sable.flex-place-self(center);
}
.place-self-stretch {
  @include sable.flex-place-self(stretch);
}

@for $i from 1 through 10 {
  .order-#{$i} {
    @include sable.flex-order($i);
  }
}
.order-none {
  @include sable.flex-order(0);
}
.order-first {
  @include sable.flex-order(-1);
}
.order-last {
  @include sable.flex-order(999);
}

@each $bpName, $width in sable.$fun-breakpoints {
  @media (min-width: #{$width}) {
    .#{$bpName}\:flex-none {
      @include sable.flex-flex(none);
    }
    .#{$bpName}\:flex-1 {
      @include sable.flex-flex(1 1 0%);
    }
    .#{$bpName}\:flex-auto {
      @include sable.flex-flex(1 1 auto);
    }
    .#{$bpName}\:flex-initial {
      @include sable.flex-flex(0 1 auto);
    }
    
    .#{$bpName}\:flex-grow-0 {
      @include sable.flex-flex-grow(0);
    }
    .#{$bpName}\:flex-grow {
      @include sable.flex-flex-grow(1);
    }
    
    .#{$bpName}\:flex-shrink-0 {
      @include sable.flex-flex-shrink(0);
    }
    .#{$bpName}\:flex-shrink {
      @include sable.flex-flex-shrink(1);
    }
    
    .#{$bpName}\:flex-basis-auto {
      @include sable.flex-flex-basis(auto);
    }
    .#{$bpName}\:flex-basis-0 {
      @include sable.flex-flex-basis(0%);
    }
    
    .#{$bpName}\:flex-row {
      @include sable.flex-flex-direction(row);
    }
    .#{$bpName}\:flex-row-reverse {
      @include sable.flex-flex-direction(row-reverse);
    }
    .#{$bpName}\:flex-col {
      @include sable.flex-flex-direction(column);
    }
    .#{$bpName}\:flex-col-reverse {
      @include sable.flex-flex-direction(column-reverse);
    }
    
    .#{$bpName}\:flex-wrap {
      @include sable.flex-flex-wrap(wrap);
    }
    .#{$bpName}\:flex-wrap-reverse {
      @include sable.flex-flex-wrap(wrap-reverse);
    }
    .#{$bpName}\:flex-nowrap {
      @include sable.flex-flex-wrap(nowrap);
    }
    
    .#{$bpName}\:content-center {
      @include sable.flex-align-content(center);
    }
    .#{$bpName}\:content-start {
      @include sable.flex-align-content(flex-start);
    }
    .#{$bpName}\:content-end {
      @include sable.flex-align-content(flex-end);
    }
    .#{$bpName}\:content-between {
      @include sable.flex-align-content(space-between);
    }
    .#{$bpName}\:content-around {
      @include sable.flex-align-content(space-around);
    }
    .#{$bpName}\:content-evenly {
      @include sable.flex-align-content(space-evenly);
    }
    .#{$bpName}\:content-stretch {
      @include sable.flex-align-content(stretch);
    }
    
    .#{$bpName}\:items-center {
      @include sable.flex-align-items(center);
    }
    .#{$bpName}\:items-start {
      @include sable.flex-align-items(flex-start);
    }
    .#{$bpName}\:items-end {
      @include sable.flex-align-items(flex-end);
    }
    .#{$bpName}\:items-stretch {
      @include sable.flex-align-items(stretch);
    }
    
    .#{$bpName}\:self-auto {
      @include sable.flex-align-self(auto);
    }
    .#{$bpName}\:self-start {
      @include sable.flex-align-self(flex-start);
    }
    .#{$bpName}\:self-end {
      @include sable.flex-align-self(flex-end);
    }
    .#{$bpName}\:self-center {
      @include sable.flex-align-self(center);
    }
    .#{$bpName}\:self-stretch {
      @include sable.flex-align-self(stretch);
    }
    
    .#{$bpName}\:justify-start {
      @include sable.flex-justify-content(flex-start);
    }
    .#{$bpName}\:justify-center {
      @include sable.flex-justify-content(center);
    }
    .#{$bpName}\:justify-end {
      @include sable.flex-justify-content(flex-end);
    }
    .#{$bpName}\:justify-between {
      @include sable.flex-justify-content(space-between);
    }
    .#{$bpName}\:justify-around {
      @include sable.flex-justify-content(space-around);
    }
    .#{$bpName}\:justify-evenly {
      @include sable.flex-justify-content(space-evenly);
    }
    .#{$bpName}\:justify-stretch {
      @include sable.flex-justify-content(stretch);
    }
    
    .#{$bpName}\:justify-items-start {
      @include sable.flex-justify-items(start);
    }
    .#{$bpName}\:justify-items-end {
      @include sable.flex-justify-items(end);
    }
    .#{$bpName}\:justify-items-center {
      @include sable.flex-justify-items(center);
    }
    .#{$bpName}\:justify-items-stretch {
      @include sable.flex-justify-items(stretch);
    }
    
    .#{$bpName}\:justify-self-auto {
      @include sable.flex-justify-self(auto);
    }
    .#{$bpName}\:justify-self-start {
      @include sable.flex-justify-self(start);
    }
    .#{$bpName}\:justify-self-end {
      @include sable.flex-justify-self(end);
    }
    .#{$bpName}\:justify-self-center {
      @include sable.flex-justify-self(center);
    }
    .#{$bpName}\:justify-self-stretch {
      @include sable.flex-justify-self(stretch);
    }
    
    .#{$bpName}\:place-content-center {
      @include sable.flex-place-content(center);
    }
    .#{$bpName}\:place-content-start {
      @include sable.flex-place-content(start);
    }
    .#{$bpName}\:place-content-end {
      @include sable.flex-place-content(end);
    }
    .#{$bpName}\:place-content-between {
      @include sable.flex-place-content(space-between);
    }
    .#{$bpName}\:place-content-around {
      @include sable.flex-place-content(space-around);
    }
    .#{$bpName}\:place-content-evenly {
      @include sable.flex-place-content(space-evenly);
    }
    .#{$bpName}\:place-content-stretch {
      @include sable.flex-place-content(stretch);
    }
    
    .#{$bpName}\:place-items-start {
      @include sable.flex-place-items(start);
    }
    .#{$bpName}\:place-items-end {
      @include sable.flex-place-items(end);
    }
    .#{$bpName}\:place-items-center {
      @include sable.flex-place-items(center);
    }
    .#{$bpName}\:place-items-stretch {
      @include sable.flex-place-items(stretch);
    }
    
    .#{$bpName}\:place-self-auto {
      @include sable.flex-place-self(auto);
    }
    .#{$bpName}\:place-self-start {
      @include sable.flex-place-self(start);
    }
    .#{$bpName}\:place-self-end {
      @include sable.flex-place-self(end);
    }
    .#{$bpName}\:place-self-center {
      @include sable.flex-place-self(center);
    }
    .#{$bpName}\:place-self-stretch {
      @include sable.flex-place-self(stretch);
    }
    
    @for $i from 1 through 10 {
      .#{$bpName}\:order-#{$i} {
        @include sable.flex-order($i);
      }
    }
    .#{$bpName}\:order-none {
      @include sable.flex-order(0);
    }
    .#{$bpName}\:order-first {
      @include sable.flex-order(-1);
    }
    .#{$bpName}\:order-last {
      @include sable.flex-order(999);
    }
  }
}
